libzypp: zypp::parser::ProductFileData::Impl Struct Reference

libzypp 17.25.10

Public Attributes | List of all members
zypp::parser::ProductFileData::Impl Struct Reference

## Public Attributes
IdString | _vendor
IdString | _name
Edition | _edition
Arch | _arch
std::string | _shortName
std::string | _summary
std::string | _productline
std::string | _registerTarget
std::string | _registerRelease
std::string | _registerFlavor
std::string | _updaterepokey
Upgrades | _upgrades

## Detailed Description

Definition at line 66 of file ProductFileReader.cc.

## Member Data Documentation

## ◆ _vendor

IdString zypp::parser::ProductFileData::Impl::_vendor

Definition at line 68 of file ProductFileReader.cc.

## ◆ _name

IdString zypp::parser::ProductFileData::Impl::_name

Definition at line 69 of file ProductFileReader.cc.

## ◆ _edition

Edition zypp::parser::ProductFileData::Impl::_edition

Definition at line 70 of file ProductFileReader.cc.

## ◆ _arch

Arch zypp::parser::ProductFileData::Impl::_arch

Definition at line 71 of file ProductFileReader.cc.

## ◆ _shortName

std::string zypp::parser::ProductFileData::Impl::_shortName

Definition at line 73 of file ProductFileReader.cc.

## ◆ _summary

std::string zypp::parser::ProductFileData::Impl::_summary

Definition at line 74 of file ProductFileReader.cc.

## ◆ _productline

std::string zypp::parser::ProductFileData::Impl::_productline

Definition at line 76 of file ProductFileReader.cc.

## ◆ _registerTarget

std::string zypp::parser::ProductFileData::Impl::_registerTarget

Definition at line 77 of file ProductFileReader.cc.

## ◆ _registerRelease

std::string zypp::parser::ProductFileData::Impl::_registerRelease

Definition at line 78 of file ProductFileReader.cc.

## ◆ _registerFlavor

std::string zypp::parser::ProductFileData::Impl::_registerFlavor

Definition at line 79 of file ProductFileReader.cc.

## ◆ _updaterepokey

std::string zypp::parser::ProductFileData::Impl::_updaterepokey

Definition at line 81 of file ProductFileReader.cc.

## ◆ _upgrades

Upgrades zypp::parser::ProductFileData::Impl::_upgrades

Definition at line 83 of file ProductFileReader.cc.

The documentation for this struct was generated from the following file:

- zypp/parser/ProductFileReader.cc